A = float(input("Parametro A: "))
B = float(input("Parametro B: "))
C = float(input("Parametro C: "))
D = float(input("Parametro D: "))

prede = float(input("Prede: "))
predatori = float(input("Predatori: "))

intervalli = float(input("Iterazioni: "))

for i in range(intervalli):
    prede *= 1+A-B*predatori
    predatori *= 1-C+D*prede

    if prede < 0:
        print("Prede estinte all'iterazione ", i)
    if predatori < 0:
        print("Predatori estinti all'iterazione ", i)

print("Predatori ", predatori, "; prede ", prede)